#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	ppp
Version		:	2.5.0
Release		:	16.2.0.rel%{?dist}
Summary		:	The Point-to-Point Protocol daemon

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD and LGPLv2+ and GPLv2+ and Public Domain
URL		:	http://www.samba.org/ppp

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	libpcap
BuildRequires	:	libcap-devel
BuildRequires	:	openssl-devel

#-----------------------------------------------------------------------------
%description
The ppp package contains the PPP (Point-to-Point Protocol) daemon and
documentation for PPP support. The PPP protocol provides a method for
transmitting datagrams over serial point-to-point links. PPP is
usually used to dial in to an ISP (Internet Service Provider) or other
organization over a modem and phone line.
 

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%config(noreplace) %{_sysconfdir}/%{name}/options
%config(noreplace) %{_sysconfdir}/%{name}/chap-secrets
%config(noreplace) %{_sysconfdir}/%{name}/pap-secrets
%config(noreplace) %{_sysconfdir}/%{name}/eaptls-client
%config(noreplace) %{_sysconfdir}/%{name}/eaptls-server
%config(noreplace) %{_sysconfdir}/%{name}/openssl.cnf
%{_sbindir}/chat
%{_sbindir}/%{name}d
%{_sbindir}/%{name}dump
%{_sbindir}/pppoe-discovery
%{_sbindir}/pppstats
%{_libdir}/%{name}d/%{version}/*.so
%{_mandir}/man8/chat.8.gz
%{_mandir}/man8/%{name}d.8.gz
%{_mandir}/man8/%{name}dump.8.gz
%{_mandir}/man8/%{name}d-radattr.8.gz
%{_mandir}/man8/%{name}d-radius.8.gz
%{_mandir}/man8/%{name}oe-discovery.8.gz
%{_mandir}/man8/%{name}stats.8.gz


#=============================================================================
%package		devel
Summary		:       Headers for ppp plugin development

Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package contains the header files for building plugins for ppp.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-, root,root, 0755)
%doc PLUGINS
%{_includedir}/%{name}d/*.h
%{_libdir}/pkgconfig/%{name}d.pc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-shared					\
	--enable-multilink				\
	--enable-cbcp					\
	--with-pam					\
	--disable-systemd				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install						\

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
